# Menu Bar Actions

{% hint style="info" %}
The menu bar in IDA gives you access to whole range of commands. **All menus are always available, but some adapt their content based on your current view and your cursor position**.
{% endhint %}

## Context-Independent Menus

These menus provide the same options regardless of which view you're working in:

* [File](/core/user-interface/reference/menu-bar-actions/common-actions.md): Handles opening and loading binaries, importing/exporting data, and producing output files.
* [View](/core/user-interface/reference/menu-bar-actions/common-actions-1.md): Provides fast access and options to show and organize views, graphs, and toolbars.
* [Debugger](/core/user-interface/reference/menu-bar-actions/common-actions-3.md): Provides controls for running, stepping through, and analyzing programs in real-time.
* [Lumina](/core/user-interface/reference/menu-bar-actions/common-actions-4.md): Connects to Private or Public Lumina service to share and retrieve function metadata across different binaries.
* [Options](/core/user-interface/reference/menu-bar-actions/common-actions-5.md): Configures IDA's appearance, fonts, colors, disassembly preferences, and more.
* [Windows](/core/user-interface/reference/menu-bar-actions/common-actions-6.md): Opens various tool windows and manages desktops.
* [Help](/core/user-interface/reference/menu-bar-actions/common-actions-7.md): Your gateway to various help resources and license manager.

## View-Dependent Menus

The following top-level menus (1) **dynamically change their content based on your active view** (2) and cursor location.

* **Edit** - Provides context-sensitive editing operations like patching bytes, modifying instructions, renaming symbols, and changing data types.
* **Jump** - Navigates to addresses, functions, cross-references, and other locations within the binary.
* **Search** - Search for strings, patterns, instructions, constants, and references in the disassembly.

![View-Dependent Menus](/files/JzkSZRveiFvFt4skUIh2)

| Icon                                 | Current View         | Context-Sensitive Menu Actions                                                                                                                                    |
| ------------------------------------ | -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ![Icon](/files/mUPeHZDXukfq6ybk9iNk) | Disassembly/IDA View | <p>• <a href="/pages/rLtwTf7B8krETdjA2GIA">Edit</a><br>• <a href="/pages/jsZfLmmzuoTiWc31M8bk">Jump</a><br>• <a href="/pages/ANPkKROuh54HiCd3oNJd">Search</a></p> |
| ![Icon](/files/OgmL1spYQ8qEdrHDfP6V) | Hex View             | <p>• <a href="/pages/rJcdOPncWsSlR6EOjWd3">Edit</a><br>• <a href="/pages/qnlrPfkPGuvooxApf16v">Jump</a><br>• <a href="/pages/znaN08dNO2ykGH55ipim">Search</a></p> |
| ![Icon](/files/mUPeHZDXukfq6ybk9iNk) | Pseudocode           | <p>• <a href="/pages/cEAPOlxB5Aov0w7BvLMM">Edit</a><br>• <a href="/pages/zEjhJ7PQnvHoRJz93WJS">Jump</a><br>• <a href="/pages/w3SnUSz43HgdBepEj0wj">Search</a></p> |
| ![Icon](/files/mUPeHZDXukfq6ybk9iNk) | Microcode            | <p>• <a href="/pages/QgR0zE2aff7mnCGWGNIu">Edit</a><br>• <a href="/pages/cHsrXZtLjwxMmWs5msf9">Jump</a><br>• <a href="/pages/a17QFo7nfQUXgpVN6epc">Search</a></p> |
| ![Icon](/files/OYWCRcg3DoQRFAlkC26M) | Local Types          | <p>• <a href="/pages/DxgNIPf09HBjwHfyN7af">Edit</a><br>• <a href="/pages/CSN4lcrxUOtBPLukAZxu">Jump</a><br>• <a href="/pages/09AQnbsb7DtMEtpwTRDA">Search</a></p> |
| ![Icon](/files/C4WHv9YhAEaCpCsEOUqr) | Functions            | <p>• <a href="/pages/YLMyrhcZzfvuwLriFiLr">Edit</a><br>• <a href="/pages/1mXMHFBKLj1SmCOwiBFf">Jump</a><br>• <a href="/pages/UzmfNdG6nluBDeJHpqSj">Search</a></p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
